/// <reference types="react" />
import { noop } from '@highlight-ui/utils-commons';
import { SelectOption, SelectOptionType } from '../../types';
export declare type OptionProps<T extends SelectOption> = {
    disabled?: boolean;
    highlightedText: string;
    onSelect: (data: T) => void;
    onEscape: typeof noop;
    option: T;
    optionStyle: 'checkmark' | 'checkbox';
    optionType: SelectOptionType;
    selected: boolean;
    className?: string;
};
declare const Option: {
    <T extends SelectOption>({ disabled, highlightedText, onSelect, onEscape, option, optionStyle, optionType, selected, className, }: OptionProps<T>): JSX.Element;
    displayName: string;
};
export default Option;
