import React from 'react';
import { SelectOption } from '../types';
import { PopoverTriggerProps } from '../Popover';
export declare type MultiInputTriggerProps<T extends SelectOption> = Partial<Pick<PopoverTriggerProps<T>, 'disabled' | 'label' | 'triggerId' | 'outline' | 'autoFocus' | 'visible' | 'variant' | 'onClick' | 'onClear' | 'selectedOptions' | 'onRemove'>> & {
    /**
     * Prop to limit the number of chip rows shown when the trigger is expanded to max 2.
     * By default it's set to `true`
     */
    limitTwoRows?: boolean;
};
declare const MultiInputTrigger: React.ForwardRefExoticComponent<Partial<Pick<PopoverTriggerProps<SelectOption>, "disabled" | "label" | "triggerId" | "outline" | "autoFocus" | "visible" | "variant" | "onClick" | "onClear" | "selectedOptions" | "onRemove">> & {
    /**
     * Prop to limit the number of chip rows shown when the trigger is expanded to max 2.
     * By default it's set to `true`
     */
    limitTwoRows?: boolean | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default MultiInputTrigger;
